Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.sort
Class ComparisonKey

    java.lang.Object
      net.sf.saxon.expr.sort.ComparisonKey

    public class ComparisonKey

extends Object

An object used as a comparison key. Two XPath atomic values are equal under the "eq" operator if and only if their comparison keys are equal under the Java equals() method.

Constructor Summary
`ComparisonKey(int category, Object value)` Create a comparison key for a value in a particular category.

Method Summary
`boolean` | `equals(Object other)` Test if two comparison keys are equal
`int` | `hashCode()` Get a hashcode for a comparison key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComparisonKey

    public ComparisonKey(int category,
                         Object value)

  Create a comparison key for a value in a particular category. The "category" here represents a set of primitive types that allow mutual comparison (so all numeric values are in the same category).

  Parameters:
    `category` - the category
    `value` - the value within the category

Method Detail

### equals

    public boolean equals(Object other)

  Test if two comparison keys are equal

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - the other comparison key
  Returns:
    true if they are equal
  Throws:
    `ClassCastException` - if the other object is not a ComparisonKey

### hashCode

    public int hashCode()

  Get a hashcode for a comparison key. If two comparison keys are equal, they must have the same hash code.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.